package com.ruoyi.bst.model.service;

import java.util.List;

public interface ModelValidator {
    
    /**
     * 当前用户是否允许编辑
     * @param id
     * @return
     */
    boolean canEdit(Long id);

    /**
     * 当前用户是否允许删除
     * @param ids
     * @return
     */
    boolean canDeleteAll(List<Long> ids);

    /**
     * 校验数据完整性
     * @param id
     */
    void validate(Long id);

    /**
     * 判断车型是否属于用户
     * @param modelId
     * @param userId
     * @return
     */
    boolean isUser(Long modelId, Long userId);


}
